/***************************************************************************
                          main.cpp  -  description
                             -------------------
    copyright            : (C) 2012 by Holtkamp
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <QApplication>
#include <QFont>
#include <QString>
#include <QDir>

#include "satcal.h"

int main(int argc, char *argv[])
{
  QApplication a(argc, argv);
  a.setFont(QFont("helvetica", 10));
    
  QDir::setCurrent(a.applicationDirPath());

  SatcalApp *satcal=new SatcalApp();

  satcal->show();

  return a.exec();
}


