/********************************************************************************
********************************************************************************/

#ifndef STIERSDIALOG_H
#define STIERSDIALOG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QDialog>
#include <QtGui/QHeaderView>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>

class StIersDialog : public QDialog
{
  Q_OBJECT

public:
  StIersDialog();

public slots:
    virtual void setParams( bool IERSflg, double IERSxp, double IERSyp, int UtcTai, double Ut1Utc );
    virtual void getParams( bool & IERSflg, double & IERSxp, double & IERSyp, int & UtcTai, double & Ut1Utc );
    virtual void refreshSlot();

private:
    QCheckBox *ckDefault;
    QLineEdit *taiEdit;
    QLabel *taiLabel;
    QLabel *ut1Label;
    QLineEdit *ut1Edit;
    QLineEdit *xEdit;
    QLineEdit *yEdit;
    QLabel *yLabel;
    QLabel *xLabel;
    QLabel *poleLabel;
    QPushButton *okButton;
    QPushButton *cancelButton;

};

#endif // STIERSDIALOG_H
