/********************************************************************************
********************************************************************************/

#ifndef STIRIDIUMDIALOG_H
#define STIRIDIUMDIALOG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QDialog>
#include <QtGui/QHeaderView>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>

//QT_BEGIN_NAMESPACE

class StIridiumDialog : public QDialog
{
  Q_OBJECT

public:
   StIridiumDialog();

public slots:
    virtual void setParams( double mag, bool ops, bool irsol );
    virtual void getParams( double & mag, bool & ops, bool & irsol );

private:
    QLabel *textLabel1;
    QLineEdit *magEdit;
    QCheckBox *opsBox;
    QPushButton *okButton;
    QPushButton *cancelButton;
    QCheckBox *solpBox;

};

#endif // STIRIDIUMDIALOG_H
