/********************************************************************************
********************************************************************************/

#ifndef STSTEPDIALOG_H
#define STSTEPDIALOG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QHeaderView>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>

//QT_BEGIN_NAMESPACE

class StStepDialog : public QDialog
{
  Q_OBJECT

public:
   StStepDialog();

public slots:
    virtual void setParams( int min, double sec );
    virtual void getParams( int & min, double & sec );

private:
    QLineEdit *minEdit;
    QLineEdit *secEdit;
    QLabel *textLabel1;
    QLabel *textLabel2;
    QPushButton *okButton;
    QPushButton *cancelButton;

};

#endif // STSTEPDIALOG_H
