#if !defined(__satcnum_h)
#define __satcnum_h

#include "attlib.h"
#include "satccom.h"

void HarmAcc (Vec3& r, int nx, Vec3& a);  // harmonic acceleration
double Jacc71(double t, Vec3& r, Vec3& rs, double F107, double FB107,
              double Kp, double& ght);
void NumProp (double t, WinpData* indata, int sx, Vec3& rs, Vec3& rm,
              Vec3& r1, Vec3& v1);
void RKFun(double t, double y[], double z[]);
void RKfun(double t, double y[], double z[], WinpData* indata);

#endif         // __satcnum_h sentry.

