/********************************************************************************
********************************************************************************/

#include <QtGui>
#include "stlocaldialog.h"

StLocalDialog::StLocalDialog()
{
        setObjectName(QString::fromUtf8("StLocalDialog"));
        resize(443, 460);
        textEdit = new QTextEdit(this);
        textEdit->setObjectName(QString::fromUtf8("textEdit"));
        textEdit->setGeometry(QRect(20, 20, 400, 390));
        textEdit->setReadOnly(true);
        closeButton = new QPushButton(this);
        closeButton->setObjectName(QString::fromUtf8("closeButton"));
        closeButton->setGeometry(QRect(307, 420, 100, 29));
        closeButton->setDefault(true);

        connect(closeButton, SIGNAL(clicked()), this, SLOT(accept()));

        setWindowTitle(QApplication::translate("StLocalDialog", "Local Details", 0, QApplication::UnicodeUTF8));
        closeButton->setText(QApplication::translate("StLocalDialog", "&Close", 0, QApplication::UnicodeUTF8));
        closeButton->setShortcut(QApplication::translate("StLocalDialog", "Alt+C", 0, QApplication::UnicodeUTF8));

};

void StLocalDialog::setParams( const QString s, const int fsz )
{
   textEdit->setFontPointSize(fsz);  
   textEdit->insertPlainText(s);
   textEdit->moveCursor(QTextCursor::Start,QTextCursor::MoveAnchor);
   closeButton->setFocus();
}
