/********************************************************************************
********************************************************************************/

#include <QtGui>

#include "stremsatdialog.h"
#include "satcalview.h"

int nboxes;

StRemSatDialog::StRemSatDialog()
{
        setObjectName(QString::fromUtf8("StRemSatDialog"));
        resize(410, 415);
        okButton = new QPushButton(this);
        okButton->setObjectName(QString::fromUtf8("okButton"));
        okButton->setGeometry(QRect(311, 29, 78, 29));
        cancelButton = new QPushButton(this);
        cancelButton->setObjectName(QString::fromUtf8("cancelButton"));
        cancelButton->setGeometry(QRect(311, 62, 78, 29));
        allButton = new QPushButton(this);
        allButton->setObjectName(QString::fromUtf8("allButton"));
        allButton->setGeometry(QRect(311, 364, 78, 29));
        checkBox1 = new QCheckBox(this);
        checkBox1->setObjectName(QString::fromUtf8("checkBox1"));
        checkBox1->setGeometry(QRect(23, 49, 33, 21));
        checkBox2 = new QCheckBox(this);
        checkBox2->setObjectName(QString::fromUtf8("checkBox2"));
        checkBox2->setGeometry(QRect(23, 84, 33, 21));
        checkBox3 = new QCheckBox(this);
        checkBox3->setObjectName(QString::fromUtf8("checkBox3"));
        checkBox3->setGeometry(QRect(23, 119, 33, 21));
        checkBox4 = new QCheckBox(this);
        checkBox4->setObjectName(QString::fromUtf8("checkBox4"));
        checkBox4->setGeometry(QRect(23, 154, 33, 21));
        lineEdit1 = new QLineEdit(this);
        lineEdit1->setObjectName(QString::fromUtf8("lineEdit1"));
        lineEdit1->setGeometry(QRect(72, 49, 209, 21));
        lineEdit1->setReadOnly(true);
        lineEdit2 = new QLineEdit(this);
        lineEdit2->setObjectName(QString::fromUtf8("lineEdit2"));
        lineEdit2->setGeometry(QRect(72, 84, 209, 21));
        lineEdit2->setReadOnly(true);
        lineEdit3 = new QLineEdit(this);
        lineEdit3->setObjectName(QString::fromUtf8("lineEdit3"));
        lineEdit3->setGeometry(QRect(72, 119, 209, 21));
        lineEdit3->setReadOnly(true);
        lineEdit4 = new QLineEdit(this);
        lineEdit4->setObjectName(QString::fromUtf8("lineEdit4"));
        lineEdit4->setGeometry(QRect(72, 154, 209, 21));
        lineEdit4->setReadOnly(true);
        lineEdit5 = new QLineEdit(this);
        lineEdit5->setObjectName(QString::fromUtf8("lineEdit5"));
        lineEdit5->setGeometry(QRect(72, 189, 209, 21));
        lineEdit5->setReadOnly(true);
        checkBox5 = new QCheckBox(this);
        checkBox5->setObjectName(QString::fromUtf8("checkBox5"));
        checkBox5->setGeometry(QRect(23, 189, 33, 21));
        checkBox6 = new QCheckBox(this);
        checkBox6->setObjectName(QString::fromUtf8("checkBox6"));
        checkBox6->setGeometry(QRect(23, 224, 33, 21));
        checkBox7 = new QCheckBox(this);
        checkBox7->setObjectName(QString::fromUtf8("checkBox7"));
        checkBox7->setGeometry(QRect(23, 259, 33, 21));
        checkBox8 = new QCheckBox(this);
        checkBox8->setObjectName(QString::fromUtf8("checkBox8"));
        checkBox8->setGeometry(QRect(23, 294, 33, 21));
        checkBox9 = new QCheckBox(this);
        checkBox9->setObjectName(QString::fromUtf8("checkBox9"));
        checkBox9->setGeometry(QRect(23, 329, 33, 21));
        checkBox10 = new QCheckBox(this);
        checkBox10->setObjectName(QString::fromUtf8("checkBox10"));
        checkBox10->setGeometry(QRect(23, 364, 40, 21));
        textLabel1 = new QLabel(this);
        textLabel1->setObjectName(QString::fromUtf8("textLabel1"));
        textLabel1->setGeometry(QRect(31, 11, 260, 16));
        textLabel1->setFrameShape(QFrame::NoFrame);
        textLabel1->setFrameShadow(QFrame::Plain);
        textLabel1->setWordWrap(false);
        lineEdit6 = new QLineEdit(this);
        lineEdit6->setObjectName(QString::fromUtf8("lineEdit6"));
        lineEdit6->setGeometry(QRect(72, 224, 209, 21));
        lineEdit6->setReadOnly(true);
        lineEdit7 = new QLineEdit(this);
        lineEdit7->setObjectName(QString::fromUtf8("lineEdit7"));
        lineEdit7->setGeometry(QRect(72, 259, 209, 21));
        lineEdit8 = new QLineEdit(this);
        lineEdit8->setObjectName(QString::fromUtf8("lineEdit8"));
        lineEdit8->setGeometry(QRect(72, 294, 209, 21));
        lineEdit9 = new QLineEdit(this);
        lineEdit9->setObjectName(QString::fromUtf8("lineEdit9"));
        lineEdit9->setGeometry(QRect(72, 329, 209, 21));
        lineEdit10 = new QLineEdit(this);
        lineEdit10->setObjectName(QString::fromUtf8("lineEdit10"));
        lineEdit10->setGeometry(QRect(72, 364, 209, 21));
        QWidget::setTabOrder(checkBox1, checkBox2);
        QWidget::setTabOrder(checkBox2, checkBox3);
        QWidget::setTabOrder(checkBox3, checkBox4);
        QWidget::setTabOrder(checkBox4, checkBox5);
        QWidget::setTabOrder(checkBox5, checkBox6);
        QWidget::setTabOrder(checkBox6, checkBox7);
        QWidget::setTabOrder(checkBox7, checkBox8);
        QWidget::setTabOrder(checkBox8, checkBox9);
        QWidget::setTabOrder(checkBox9, checkBox10);
        QWidget::setTabOrder(checkBox10, okButton);
        QWidget::setTabOrder(okButton, cancelButton);
        QWidget::setTabOrder(cancelButton, allButton);
        QWidget::setTabOrder(allButton, lineEdit3);
        QWidget::setTabOrder(lineEdit3, lineEdit6);
        QWidget::setTabOrder(lineEdit6, lineEdit1);
        QWidget::setTabOrder(lineEdit1, lineEdit2);
        QWidget::setTabOrder(lineEdit2, lineEdit4);
        QWidget::setTabOrder(lineEdit4, lineEdit5);
        QWidget::setTabOrder(lineEdit5, lineEdit7);
        QWidget::setTabOrder(lineEdit7, lineEdit8);
        QWidget::setTabOrder(lineEdit8, lineEdit9);
        QWidget::setTabOrder(lineEdit9, lineEdit10);

        connect(okButton, SIGNAL(clicked()), this, SLOT(accept()));
        connect(cancelButton, SIGNAL(clicked()), this, SLOT(reject()));
        connect(allButton, SIGNAL(clicked()), this, SLOT(alldlt()));

        setWindowTitle(QApplication::translate("StRemSatDialog", "Remove Satellites", 0, QApplication::UnicodeUTF8));
        okButton->setText(QApplication::translate("StRemSatDialog", "&OK", 0, QApplication::UnicodeUTF8));
        okButton->setShortcut(QApplication::translate("StRemSatDialog", "Alt+O", 0, QApplication::UnicodeUTF8));
        cancelButton->setText(QApplication::translate("StRemSatDialog", "&Cancel", 0, QApplication::UnicodeUTF8));
        cancelButton->setShortcut(QApplication::translate("StRemSatDialog", "Alt+C", 0, QApplication::UnicodeUTF8));
        allButton->setText(QApplication::translate("StRemSatDialog", "Delete &All", 0, QApplication::UnicodeUTF8));
        allButton->setShortcut(QApplication::translate("StRemSatDialog", "Alt+A", 0, QApplication::UnicodeUTF8));
        checkBox1->setText(QApplication::translate("StRemSatDialog", "&1", 0, QApplication::UnicodeUTF8));
        checkBox1->setShortcut(QApplication::translate("StRemSatDialog", "Alt+1", 0, QApplication::UnicodeUTF8));
        checkBox2->setText(QApplication::translate("StRemSatDialog", "&2", 0, QApplication::UnicodeUTF8));
        checkBox2->setShortcut(QApplication::translate("StRemSatDialog", "Alt+2", 0, QApplication::UnicodeUTF8));
        checkBox3->setText(QApplication::translate("StRemSatDialog", "&3", 0, QApplication::UnicodeUTF8));
        checkBox3->setShortcut(QApplication::translate("StRemSatDialog", "Alt+3", 0, QApplication::UnicodeUTF8));
        checkBox4->setText(QApplication::translate("StRemSatDialog", "&4", 0, QApplication::UnicodeUTF8));
        checkBox4->setShortcut(QApplication::translate("StRemSatDialog", "Alt+4", 0, QApplication::UnicodeUTF8));
        checkBox5->setText(QApplication::translate("StRemSatDialog", "&5", 0, QApplication::UnicodeUTF8));
        checkBox5->setShortcut(QApplication::translate("StRemSatDialog", "Alt+5", 0, QApplication::UnicodeUTF8));
        checkBox6->setText(QApplication::translate("StRemSatDialog", "&6", 0, QApplication::UnicodeUTF8));
        checkBox6->setShortcut(QApplication::translate("StRemSatDialog", "Alt+6", 0, QApplication::UnicodeUTF8));
        checkBox7->setText(QApplication::translate("StRemSatDialog", "&7", 0, QApplication::UnicodeUTF8));
        checkBox7->setShortcut(QApplication::translate("StRemSatDialog", "Alt+7", 0, QApplication::UnicodeUTF8));
        checkBox8->setText(QApplication::translate("StRemSatDialog", "&8", 0, QApplication::UnicodeUTF8));
        checkBox8->setShortcut(QApplication::translate("StRemSatDialog", "Alt+8", 0, QApplication::UnicodeUTF8));
        checkBox9->setText(QApplication::translate("StRemSatDialog", "&9", 0, QApplication::UnicodeUTF8));
        checkBox9->setShortcut(QApplication::translate("StRemSatDialog", "Alt+9", 0, QApplication::UnicodeUTF8));
        checkBox10->setText(QApplication::translate("StRemSatDialog", "1&0", 0, QApplication::UnicodeUTF8));
        checkBox10->setShortcut(QApplication::translate("StRemSatDialog", "Alt+0", 0, QApplication::UnicodeUTF8));
        textLabel1->setText(QApplication::translate("StRemSatDialog", "Mark satellites for removal:", 0, QApplication::UnicodeUTF8));
};

void StRemSatDialog::setParams( int satnr )
{
 QString s;

 nboxes = satnr;
 
 s = vsSatName(1);
 lineEdit1->setText(s);
 
 if (satnr > 1)
  {
   s = vsSatName(2);
   lineEdit2->setText(s);
  }  
 else
  {
    checkBox2->setEnabled(false);
    checkBox2->hide();
    lineEdit2->setEnabled(false);
    lineEdit2->hide();
  };  
 
 if (satnr > 2)
  {
   s = vsSatName(3);
   lineEdit3->setText(s);
  }  
 else
  {
    checkBox3->setEnabled(false);
    checkBox3->hide();
    lineEdit3->setEnabled(false);
    lineEdit3->hide();
  };  
 
 if (satnr > 3)
  {
   s = vsSatName(4);
   lineEdit4->setText(s);
  }  
 else
  {
    checkBox4->setEnabled(false);
    checkBox4->hide();
    lineEdit4->setEnabled(false);
    lineEdit4->hide();
  };  
 
 if (satnr > 4)
  {
   s = vsSatName(5);
   lineEdit5->setText(s);
  }  
 else
  {
    checkBox5->setEnabled(false);
    checkBox5->hide();
    lineEdit5->setEnabled(false);
    lineEdit5->hide();
  };  
 
 if (satnr > 5)
  {
   s = vsSatName(6);
   lineEdit6->setText(s);
  }  
 else
  {
    checkBox6->setEnabled(false);
    checkBox6->hide();
    lineEdit6->setEnabled(false);
    lineEdit6->hide();
  };  
 
 if (satnr > 6)
  {
   s = vsSatName(7);
   lineEdit7->setText(s);
  }  
 else
  {
    checkBox7->setEnabled(false);
    checkBox7->hide();
    lineEdit7->setEnabled(false);
    lineEdit7->hide();
  };  
 
 if (satnr > 7)
  {
   s = vsSatName(8);
   lineEdit8->setText(s);
  }  
 else
  {
    checkBox8->setEnabled(false);
    checkBox8->hide();
    lineEdit8->setEnabled(false);
    lineEdit8->hide();
  };  
 
 if (satnr > 8)
  {
   s = vsSatName(9);
   lineEdit9->setText(s);
  }  
 else
  {
    checkBox9->setEnabled(false);
    checkBox9->hide();
    lineEdit9->setEnabled(false);
    lineEdit9->hide();
  };  
 
 if (satnr > 9)
  {
   s = vsSatName(10);
   lineEdit10->setText(s);
  }  
 else
  {
    checkBox10->setEnabled(false);
    checkBox10->hide();
    lineEdit10->setEnabled(false);
    lineEdit10->hide();
  };  
}

void StRemSatDialog::getParams( bool * sats )
{
 sats[0] = checkBox1->isChecked();
 sats[1] = checkBox2->isChecked();
 sats[2] = checkBox3->isChecked();
 sats[3] = checkBox4->isChecked();
 sats[4] = checkBox5->isChecked();
 sats[5] = checkBox6->isChecked();
 sats[6] = checkBox7->isChecked();
 sats[7] = checkBox8->isChecked();
 sats[8] = checkBox9->isChecked();
 sats[9] = checkBox10->isChecked();
}

void StRemSatDialog::alldlt()
{
 if (nboxes > 9) checkBox10->setChecked(true);
 if (nboxes > 8) checkBox9->setChecked(true);
 if (nboxes > 7) checkBox8->setChecked(true);
 if (nboxes > 6) checkBox7->setChecked(true);
 if (nboxes > 5) checkBox6->setChecked(true);
 if (nboxes > 4) checkBox5->setChecked(true);
 if (nboxes > 3) checkBox4->setChecked(true);
 if (nboxes > 2) checkBox3->setChecked(true);
 if (nboxes > 1) checkBox2->setChecked(true);
 if (nboxes > 0) checkBox1->setChecked(true);

}